Trouble Installing Mac OS 9 on G3 iBook Dual-USB 500mhz

Discussion in 'PowerPC Macs' started by LimeiBook86, Sep 22, 2005.

  1. macrumors 604

    LimeiBook86

    Joined:
    May 4, 2002
    Location:
    Hanging around in NJ with his cutie. :)
    #1
    I have Mac OS X 10.4 installed on an iBook G3 Dual-USB, I want to install Mac OS 9 on the machine for my Dad who still uses some Mac OS 9 applications. I have an original Mac OS 9.0 CD but when I go to install it I get an error saying I need to use Classic with Mac OS 9.1 or later to open Classic applications. So I need a higher version of classic to install...well umm...classic.

    I tried holding down Option, C, or Shift-Option-Delete-Apple on startup (all things to tell the Mac to look for other devices to boot from) and it won't startup from the Mac OS 9 CD-ROM. This is an original disc but, I don't know why it won't start up. The iBook has 64mb of RAM built-in with an added on 32mb which is being replaced with 256mb soon (thanks to rickvanr), I mean it can run Tiger so why can't I install OS 9 on it? The only thing I can think of is that the ROM on the iBook doesn't like OS 9 or earlier. Maybe I'll install it on some other machine and just drag the system folder over...

    Any ideas? Thanks! :D
     
  2. macrumors 65816

    im_to_hyper

    Joined:
    Aug 25, 2004
    Location:
    North Hollywood, California, USA
    #2
    If I remember right, I had this problem with those iBooks as well with a stock 9.0 CD.

    There may be something with the firmware needing 9.1 or higher, since I believe that is what they originally shipped with pre-X.

    Taken from EveryMac.com:

    Supported MacOS: 9.1, X v10.1

    If I remember right, the iBook is also unable to boot from a 10.0.3 CD. Its been awhile since I tried that one, though.
     

Share This Page